GET
/
v3
/
10dlc
/
brands
/
{brand_id}
/
vettings
/
appeals
List external vetting appeals
curl --request GET \
  --url https://api.wavix.com/v3/10dlc/brands/{brand_id}/vettings/appeals \
  --header 'Authorization: Bearer <token>'
[
  {
    "appeal_outcome": {
      "vet_status": "ACTIVE",
      "vet_score": 80,
      "feedback": {
        "reasons": [
          "Company size as reported by government or business sources resulted in a score deduction: size range 6-10."
        ]
      }
    },
    "appeal_status": "COMPLETE",
    "appeal_status_update_date": "2024-08-15T08:42:31Z",
    "attachment_uuid_list": [],
    "brand_id": "BMQFB7X",
    "category_list": [
      "LOW_SCORE"
    ],
    "create_date": "2024-08-15T08:41:05",
    "evp_id": "AEGIS",
    "explanation": "This is an API test",
    "vetting_class": "STANDARD",
    "vetting_id": "48c0ffaa-4e51-4d44-3982-08dcb9856232"
  }
]

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

brand_id
string
required

Brand ID.

Example:

"BMQFB7X"

Response

List of external vetting appeals.

appeal_outcome
TenDlcBrandVettingAppealOutcome · object
required

The appeal outcome

Example:
{
"vet_status": "ACTIVE",
"vet_score": 80,
"feedback": {
"reasons": [
"Company size as reported by government or business sources resulted in a score deduction: size range 6-10."
]
}
}
appeal_status
string
required

The appeal status

Example:

"COMPLETE"

appeal_status_update_date
string<date-time>
required

The date and time the appeal status was updated

Example:

"2024-08-15T08:42:31Z"

attachment_uuid_list
string[]
required

A list of evidence UUIDs associated with the appeal

Example:
[]
brand_id
string
required

The unique identifier of the Brand the appeal is associated with

Example:

"BMQFB7X"

category_list
string[]
required

A list of appeal categories

Example:
["LOW_SCORE"]
create_date
string
required

Date and time the appeal was created

Example:

"2024-08-15T08:41:05"

explanation
string
required

The appeal justification

Example:

"Please review the Brand score"

evp_id
string
required

External vetting provider code

Example:

"AEGIS"

vetting_class
string
required

The vetting class

Example:

"STANDARD"

vetting_id
string
required

The vetting unique identifier

Example:

"48c0ffaa-4e51-4d44-3982-08dcb9856232"

Example:
[
{
"appeal_outcome": {
"vet_status": "ACTIVE",
"vet_score": 80,
"feedback": {
"reasons": [
"Company size as reported by government or business sources resulted in a score deduction: size range 6-10."
]
}
},
"appeal_status": "COMPLETE",
"appeal_status_update_date": "2024-08-15T08:42:31Z",
"attachment_uuid_list": [],
"brand_id": "BMQFB7X",
"category_list": ["LOW_SCORE"],
"create_date": "2024-08-15T08:41:05",
"evp_id": "AEGIS",
"explanation": "This is an API test",
"vetting_class": "STANDARD",
"vetting_id": "48c0ffaa-4e51-4d44-3982-08dcb9856232"
}
]